

if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	
	SWEP.HoldType			= "smg"
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "Federation Squad Automatic Weapon(fsaw)"			
	SWEP.Author				= "Wolly"
	SWEP.Slot				= 2
	SWEP.SlotPos			= 3
	SWEP.IconLetter			= ""
	SWEP.ViewModelFOV       = 72
	
	killicon.AddFont( "weapon_smg1", "CSKillIcons", SWEP.IconLetter, Color( 255, 80, 0, 255 ) )
	
end


SWEP.Base				= "weapon_wolly_base"
SWEP.ViewModelFlip      = false

SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.ViewModel			= "models/weapons/v_mach_m249para.mdl"
SWEP.WorldModel			= "models/weapons/w_mach_m249para.mdl"


SWEP.SprintPos = Vector (3.7126, -8.9696, -1.6456)
SWEP.SprintAng = Vector (3.6391, 71.9231, 0)
SWEP.IronSightsPosNorm = Vector (-4.4704, -0.8358, 2.1798)
SWEP.IronSightsAngNorm = Vector (0, 0, 0)


SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound( "weapons/m249/m249-1.wav" )
SWEP.Primary.Recoil			= 0.5
SWEP.Primary.Damage			= 6
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.04
SWEP.Primary.ClipSize		= 75
SWEP.Primary.Delay			= 0.096
SWEP.Primary.DefaultClip	= 750
SWEP.Primary.Automatic		= true
SWEP.Primary.Ammo			= "ar2"
SWEP.Primary.TracerName			= "Tracer"
SWEP.Primary.CrouchAimMod = 1



SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo			= "none"
